Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network57.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
57.0.0.0
Broadcast address
57.255.255.255
First usable
57.0.0.1
Last usable
57.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 39000000 · Integer 956301312 to 973078527
Reverse DNS zone
57.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00111001..00000000.00000000.0000000057.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network00111001..00000000.00000000.0000000057.0.0.0
Broadcast00111001..11111111.11111111.1111111157.255.255.255
Split into smaller subnets/14

57.0.0.0/8 makes 64 subnets of /14.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
157.0.0.0/1457.0.0.1 to 57.3.255.25457.3.255.255262,142
257.4.0.0/1457.4.0.1 to 57.7.255.25457.7.255.255262,142
357.8.0.0/1457.8.0.1 to 57.11.255.25457.11.255.255262,142
457.12.0.0/1457.12.0.1 to 57.15.255.25457.15.255.255262,142
557.16.0.0/1457.16.0.1 to 57.19.255.25457.19.255.255262,142
657.20.0.0/1457.20.0.1 to 57.23.255.25457.23.255.255262,142
757.24.0.0/1457.24.0.1 to 57.27.255.25457.27.255.255262,142
857.28.0.0/1457.28.0.1 to 57.31.255.25457.31.255.255262,142
957.32.0.0/1457.32.0.1 to 57.35.255.25457.35.255.255262,142
1057.36.0.0/1457.36.0.1 to 57.39.255.25457.39.255.255262,142
1157.40.0.0/1457.40.0.1 to 57.43.255.25457.43.255.255262,142
1257.44.0.0/1457.44.0.1 to 57.47.255.25457.47.255.255262,142
1357.48.0.0/1457.48.0.1 to 57.51.255.25457.51.255.255262,142
1457.52.0.0/1457.52.0.1 to 57.55.255.25457.55.255.255262,142
1557.56.0.0/1457.56.0.1 to 57.59.255.25457.59.255.255262,142
1657.60.0.0/1457.60.0.1 to 57.63.255.25457.63.255.255262,142
1757.64.0.0/1457.64.0.1 to 57.67.255.25457.67.255.255262,142
1857.68.0.0/1457.68.0.1 to 57.71.255.25457.71.255.255262,142
1957.72.0.0/1457.72.0.1 to 57.75.255.25457.75.255.255262,142
2057.76.0.0/1457.76.0.1 to 57.79.255.25457.79.255.255262,142
2157.80.0.0/1457.80.0.1 to 57.83.255.25457.83.255.255262,142
2257.84.0.0/1457.84.0.1 to 57.87.255.25457.87.255.255262,142
2357.88.0.0/1457.88.0.1 to 57.91.255.25457.91.255.255262,142
2457.92.0.0/1457.92.0.1 to 57.95.255.25457.95.255.255262,142
2557.96.0.0/1457.96.0.1 to 57.99.255.25457.99.255.255262,142
2657.100.0.0/1457.100.0.1 to 57.103.255.25457.103.255.255262,142
2757.104.0.0/1457.104.0.1 to 57.107.255.25457.107.255.255262,142
2857.108.0.0/1457.108.0.1 to 57.111.255.25457.111.255.255262,142
2957.112.0.0/1457.112.0.1 to 57.115.255.25457.115.255.255262,142
3057.116.0.0/1457.116.0.1 to 57.119.255.25457.119.255.255262,142
3157.120.0.0/1457.120.0.1 to 57.123.255.25457.123.255.255262,142
3257.124.0.0/1457.124.0.1 to 57.127.255.25457.127.255.255262,142
3357.128.0.0/1457.128.0.1 to 57.131.255.25457.131.255.255262,142
3457.132.0.0/1457.132.0.1 to 57.135.255.25457.135.255.255262,142
3557.136.0.0/1457.136.0.1 to 57.139.255.25457.139.255.255262,142
3657.140.0.0/1457.140.0.1 to 57.143.255.25457.143.255.255262,142
3757.144.0.0/1457.144.0.1 to 57.147.255.25457.147.255.255262,142
3857.148.0.0/1457.148.0.1 to 57.151.255.25457.151.255.255262,142
3957.152.0.0/1457.152.0.1 to 57.155.255.25457.155.255.255262,142
4057.156.0.0/1457.156.0.1 to 57.159.255.25457.159.255.255262,142
4157.160.0.0/1457.160.0.1 to 57.163.255.25457.163.255.255262,142
4257.164.0.0/1457.164.0.1 to 57.167.255.25457.167.255.255262,142
4357.168.0.0/1457.168.0.1 to 57.171.255.25457.171.255.255262,142
4457.172.0.0/1457.172.0.1 to 57.175.255.25457.175.255.255262,142
4557.176.0.0/1457.176.0.1 to 57.179.255.25457.179.255.255262,142
4657.180.0.0/1457.180.0.1 to 57.183.255.25457.183.255.255262,142
4757.184.0.0/1457.184.0.1 to 57.187.255.25457.187.255.255262,142
4857.188.0.0/1457.188.0.1 to 57.191.255.25457.191.255.255262,142
4957.192.0.0/1457.192.0.1 to 57.195.255.25457.195.255.255262,142
5057.196.0.0/1457.196.0.1 to 57.199.255.25457.199.255.255262,142
5157.200.0.0/1457.200.0.1 to 57.203.255.25457.203.255.255262,142
5257.204.0.0/1457.204.0.1 to 57.207.255.25457.207.255.255262,142
5357.208.0.0/1457.208.0.1 to 57.211.255.25457.211.255.255262,142
5457.212.0.0/1457.212.0.1 to 57.215.255.25457.215.255.255262,142
5557.216.0.0/1457.216.0.1 to 57.219.255.25457.219.255.255262,142
5657.220.0.0/1457.220.0.1 to 57.223.255.25457.223.255.255262,142
5757.224.0.0/1457.224.0.1 to 57.227.255.25457.227.255.255262,142
5857.228.0.0/1457.228.0.1 to 57.231.255.25457.231.255.255262,142
5957.232.0.0/1457.232.0.1 to 57.235.255.25457.235.255.255262,142
6057.236.0.0/1457.236.0.1 to 57.239.255.25457.239.255.255262,142
6157.240.0.0/1457.240.0.1 to 57.243.255.25457.243.255.255262,142
6257.244.0.0/1457.244.0.1 to 57.247.255.25457.247.255.255262,142
6357.248.0.0/1457.248.0.1 to 57.251.255.25457.251.255.255262,142
6457.252.0.0/1457.252.0.1 to 57.255.255.25457.255.255.255262,142

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses